[metadata]
name = extractor
version = attr: extractor_consumer.version

[options]
packages = find:
include_package_data = True
install_requires =
    motor==2.5.1
    moviepy==1.0.3
    rejected>=3.20.10,<4
    tornado==6.1

[options.extras_require]
tests =
    bandit==1.7.2
    bandoleers==3.2.0
    coverage==5.5
    docker-healthchecker>=0.2.2,<1.0
    flake8-comprehensions==3.10.1
    flake8-deprecated==2.0.1
    flake8-import-order==0.18.2
    flake8-tuple==0.4.1
    flake8==6.0.0
    requests==2.25.1
    yapf==0.31.0

[coverage:run]
branch = True
command_line = -m unittest discover tests --buffer --verbose

[coverage:report]
fail_under = 100
show_missing = True
include = extractor_consumer/*
omit = tests/*

[coverage:xml]
output = build/coverage.xml

[flake8]
application-import-names = extractor_consumer,tests
exclude = build,env
import-order-style = pycharm

[yapf]
allow_multiline_dictionary_keys = True
allow_split_before_dict_value = False
